View Issue Details

IDProjectCategoryView StatusLast Update
0002061Industrial-Craft²machinespublic2016-12-24 00:43
Reportershadow242424Assigned ToChocohead 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformPCOSWindowsOS Version7 64 bit
Product Version 
Target VersionFixed in VersionBuilds for MC 1.10.x 
Summary0002061: Pump sucks lava in a 64-block-wide 'square' starting west
DescriptionIC2 version: industrialcraft-2-2.6.132-ex110.
Forge version: forge-1.10.2-12.18.3.2185.
Only other mod installed : JEI.
Tried in nether and overworld, on Creative mode.
After placing a pump, powering it up and giving it universal fluid cells (or a geothermal generator) to output it's lava, the pump (both connected to a miner and not connected to a miner) starts to gather lava in the general direction of west and has a radius of approximately 65 blocks (check additional info for exact numbers). After it gathers all the lava in a line, it starts going to form a square (from a square matrix perspective, x+y=radius). This line is very far and when used with a miner it causes unexpected behavior as instead of gathering lava in a 5x5 or 9x9 area or continuing downwards through it, it gathers it in a huge area, which may hinder actual mining operations.
Steps To ReproduceGo to nether for a better perspective on the problem or find a wide open lava pool.
Place a pump (oriented to the west side with the large lava pool there for better observation) and supply it power and a way to output it's lava (pulling upgrades and empty cells).
Observe the result, similar to the screenshots.
Same result when attached to a miner.
Additional InformationTested with latest version of IC2.
Not tested with water.
Tested in two different creative-mode worlds.
When attached to a miner, the length or radius is 65 or 66 blocks.
In the screenshot, a diorite is put every 10th block (its the 10th,20th,30th block etc) to represent scale.
Also it seems to 'bend' around obstacles.
Very inconvenient when used with a miner just to mine blocks.
More pictures at http://imgur.com/a/KHfVW
TagsPump
Minecraft Version1.10.2

Activities

shadow242424

2016-12-21 01:32

reporter  

1.png (1,743,983 bytes)

shadow242424

2016-12-21 22:39

reporter   ~0004957

When a pump is attached right to a miner and the miner encounters water, the pump will just keep pumping an endless supply of water. While useful if a pump is standalone, when used with a miner, this will totally break any utility of the miner.

Chocohead

2016-12-22 02:44

developer   ~0004959

It looks a lot like the pump is just using it's own logic instead of only pumping blocks out of the way that the miner needs, I'll see what I can do tomorrow.

shadow242424

2016-12-23 16:14

reporter   ~0004961

This bug is present in the IC_experimental branch for 1.7.10 as well.

Also I noticed an interesting thing, as the miner gets to water, the instant it is above a water block the mining tip disappears and is replaced by a mining pipe and then begins to pump infinitely.

Another even more interesting thing (screenshots very suggestive: http://imgur.com/a/5mYCX ) is that even if the miner has reached a deeper point, water pumped is from any water encountered beforehand.

Also note how the bug happens (done just a few tests) only with full water blocks. The moment the miner encounters one, the bug starts happening.

Chocohead

2016-12-24 00:43

developer   ~0004966

Fixed in IC2 2.6.135, although the mechanics of how the miner and pump interact might change in the future.

Issue History

Date Modified Username Field Change
2016-12-21 01:32 shadow242424 New Issue
2016-12-21 01:32 shadow242424 File Added: 1.png
2016-12-21 01:32 shadow242424 Tag Attached: Pump
2016-12-21 01:32 shadow242424 Tag Attached: lava
2016-12-21 22:39 shadow242424 Note Added: 0004957
2016-12-21 22:43 shadow242424 Tag Attached: water
2016-12-21 22:56 Chocohead Tag Detached: water
2016-12-21 22:56 Chocohead Tag Detached: lava
2016-12-22 02:44 Chocohead Note Added: 0004959
2016-12-22 02:44 Chocohead Assigned To => Chocohead
2016-12-22 02:44 Chocohead Status new => acknowledged
2016-12-22 18:37 Chocohead Status acknowledged => confirmed
2016-12-23 16:14 shadow242424 Note Added: 0004961
2016-12-24 00:43 Chocohead Note Added: 0004966
2016-12-24 00:43 Chocohead Status confirmed => resolved
2016-12-24 00:43 Chocohead Fixed in Version => Builds for MC 1.10.x
2016-12-24 00:43 Chocohead Resolution open => fixed